Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Sep 2008 06:27:43 +0300

> Date: Wed, 03 Sep 2008 07:50:45 +0800
> From: Jason Rumney <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
> Eli Zaretskii wrote:
> > If you mean to ask whether LookupAccountSid we use to get the owner or
> > group name by their SID can tell us if the name it returns is a group
> > rather than a user, then no, I don't think so, unfortunately.
> 
> There is a variable in get_name_and_id called `ignore', which seems to 
> have the required information.

Thanks.

I never found any sufficiently clear documentation of the meaning of
that parameter.  Its value seems almost random.  If you can find an
explanation or give one, please do.  Otherwise, I don't like to rely
on a variable whose behavior we don't understand.